Bug 1449220 - [3.4] openshift_pkg_version doesn't seem to work
Summary: [3.4] openshift_pkg_version doesn't seem to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.4.z
Assignee: Scott Dodson
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1391325 1449221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 12:34 UTC by Scott Dodson
Modified: 2017-05-17 17:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Because the upgrade playbooks upgraded packages in a serial manner rather than all at once yum dependency resolution would have installed the latest version available in the enabled repos rather than the requested version. The playbooks have been updated to upgrade all packages to the requested version at once which prevents yum from potentially upgrading to the latest version.
Clone Of: 1391325
Environment:
Last Closed: 2017-05-17 17:41:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Comment 3 Anping Li 2017-05-11 07:43:53 UTC
I set openshift_pkg_version=-3.4.1.2 and enabled both v3.4 and v3.5 repos. The expected ocp version is v3.4.1.2. However the ocp3.3 was upgraded to v3.5.  

[root@ip-172-18-13-132 ~]# yum search atomic-openshift --showdup|grep atomic-openshift-3
atomic-openshift-3.4.0.39-1.git.0.5f32f06.el7.x86_64 : Open Source Container
atomic-openshift-3.4.0.40-1.git.0.787e974.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.2-1.git.0.d760092.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.5-1.git.0.690b5d4.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.7-1.git.0.81b9a4a.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.10-1.git.0.c96aed3.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.12-1.git.0.57d7e1d.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.16-1.git.0.ea2919c.el7.x86_64 : Open Source Container
atomic-openshift-3.4.1.18-1.git.0.0f9d380.el7.x86_64 : Open Source Container
atomic-openshift-3.5.5.5-1.git.0.f2e87ab.el7.x86_64 : Open Source Container
atomic-openshift-3.5.5.8-1.git.0.1a85a97.el7.x86_64 : Open Source Container
atomic-openshift-3.5.5.8-1.git.0.1a85a97.el7.x86_64 : Open Source Container

Comment 5 Scott Dodson 2017-05-11 19:10:42 UTC
Anping,

I don't see it upgrading to 3.5 anywhere in that log however it does show this task so I'm curious if somehow 3.5 clients got installed when doing the initial install?

TASK [openshift_cli : Install clients] *****************************************
ok: [ec2-52-87-169-77.compute-1.amazonaws.com] => {
    "changed": false, 
    "rc": 0, 
    "results": [
        "atomic-openshift-clients-3.5.5.8-1.git.0.1a85a97.el7.x86_64 providing atomic-openshift-clients is already installed"
    ]
}

Can you do `yum history` to list the yum transactions and then `yum history info ###` to list out each transaction's details? Or if I can access the host I'd like to poke around.

Comment 6 Scott Dodson 2017-05-11 19:13:05 UTC
This will get everything i'm interested in.

yum history list --quiet | tail -n +3 | awk '{ print $1 }' | xargs yum history info

Comment 7 Anping Li 2017-05-12 05:19:34 UTC
Scott, The Env is destroyed. and I can't reproduce it.

Comment 8 Anping Li 2017-05-12 05:24:05 UTC
Using atomic-openshift-utils-3.4.87-1.git.0.b3174f2.el7.noarch

OCP can be upgraded from v3.3 to v3.4.1.10 with openshift_pkg_version=-3.4.1.10. 
OCP can be upgraded from v3.4.1.10 to v3.4.1.16 with openshift_pkg_version=-3.4.1.10. 

So move bug to verified.

Comment 10 errata-xmlrpc 2017-05-17 17:41:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.